- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_client_pool_t

# mongoc_client_pool_set_appname()

## Synopsis

    bool
    mongoc_client_pool_set_appname (mongoc_client_pool_t *pool, const char *appname)

This function is identical to mongoc_client_set_appname() except for client pools.

Also note that mongoc_client_set_appname() cannot be called on a client retrieved from a client pool.

## Parameters

- `pool`: A mongoc_client_pool_t.
- `appname`: The application name, of length at most `MONGOC_HANDSHAKE_APPNAME_MAX`.

## Returns

Returns true if appname was set. If appname is too long, returns false and logs an error.

## Thread Safety

This function can only be called once on a pool, and must be called before the first call to mongoc_client_pool_pop().

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.